Bug 198880 - Review Request: perl-POE-Component-Client-DNS
Review Request: perl-POE-Component-Client-DNS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 198882 198884
  Show dependency treegraph
 
Reported: 2006-07-14 07:35 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-15 15:09:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-14 07:35:37 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Client-DNS.spec
SRPM URL:
http://home.comcast.net/~ckweyl/perl-POE-Component-Client-DNS-0.99-0.fc5.src.rpm

Description: 
POE::Component::Client::DNS provides a facility for non-blocking, concurrent DNS
requests. Using POE, it allows other tasks to run while waiting for name servers
to respond.
Comment 1 Jason Tibbitts 2006-07-15 12:44:22 EDT
I have to tell you that the "0" release violates the naming guidelines; please
make sure to bump this to "1" before you build.

I enabled the test suite just to try it, but I don't think it works under mock
due to an undefined network configuration.  However, five of the tests did run
properly.

* source files match upstream:
   17d8823b50185e4a2536ca8888d45410  POE-Component-Client-DNS-0.99.tar.gz
O package meets naming and packaging guidelines (0 release should be 1)
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
O BuildRequires are proper (BR: perl is redundant)
O No need to pass any compiler flags.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::Component::Client::DNS) = 0.99
   perl-POE-Component-Client-DNS = 0.99-0.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Net::DNS)
   perl(POE)
   perl(Socket)
   perl(constant)
   perl(strict)
   perl(vars)
* noarch package; no debuginfo.
* %check is present but necessarily disabled for mock.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Chris Weyl 2006-07-15 15:09:47 EDT
Given the recent thread on the list, I'll start submitting future packages with
an initial release of 1.

+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4, FC-5)
+Close bug

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.